<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : class.xsl
    Created on : March 29, 2016, 12:30 PM
    Author     : bar
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html"/>
    <xsl:import href="teacher.xsl"/>
    <xsl:import href="students.xsl"/>
    <!-- TODO customize transformation rules 
         syntax recommendation http://www.w3.org/TR/xslt 
    -->
    <xsl:template match="/">
        <html>
            <head>
                <title>Śkolní statistika</title>
            </head>
            <body>
                <xsl:apply-templates/>
            </body>
        </html>
    </xsl:template>
    
    <xsl:template match="school">
        <h1>ZŠ <xsl:value-of select="@address"/></h1>
        <ul>
            <li>Počet tříd: <xsl:value-of select="count(//class)"/></li>
            <li>Počet učitelů: <xsl:value-of select="count(//teacher)"/></li>
            <li>Žáků: <xsl:value-of select="count(//student)"/></li>
        </ul>
        <xsl:apply-templates select="class"/>
    </xsl:template> 
    <xsl:template match="class">
        <h2><xsl:value-of select="@name"/></h2>
        <ul>
            <li>Třídní: <xsl:apply-templates select="teacher"/></li>
            <li>Žáků: <xsl:value-of select="count(.//student)"/></li>
            <li>Propadlo: <xsl:value-of select="./failed"/></li>
            <li>
                Absence
                <ul>
                    <li>celkem: <xsl:value-of select="sum(.//absence)"/></li>
                    <li>průměrné: <xsl:value-of select="sum(./students/student/absence) div count(./students/student)"/></li>
                </ul>
            </li>
            
        </ul>
        <h3>Žáci</h3>
            <xsl:apply-templates select="./students"/>
    </xsl:template>
    <xsl:template match="student" priority="12">
        Kdo má výšší prioritu?
    </xsl:template>
</xsl:stylesheet>
